Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1273399 (agent_docker_report) - [RFE] Support for reporting Docker containers active on the Virtual Machine
Summary: [RFE] Support for reporting Docker containers active on the Virtual Machine
Keywords:
Status: CLOSED ERRATA
Alias: agent_docker_report
Product: ovirt-guest-agent
Classification: oVirt
Component: Core
Version: ---
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.0.0-beta
: 1.0.12-1
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: atomic_guest_os 1355965
TreeView+ depends on / blocked
 
Reported: 2015-10-20 11:27 UTC by Vinzenz Feenstra [evilissimo]
Modified: 2016-07-22 04:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this release, the Administration Portal reports the ID, image, executed command, state, and name of Docker containers running on virtual machines.
Clone Of:
Environment:
Last Closed: 2016-07-12 05:47:43 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.0+
rule-engine: exception+
grafuls: testing_plan_complete+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 47402 master MERGED Support for reporting active docker containers 2016-05-19 08:17:27 UTC
oVirt gerrit 47519 master MERGED guestagent: Add support for containers message 2016-04-04 08:21:33 UTC
oVirt gerrit 55452 master MERGED backend: Guest Container Reporting 2016-05-18 07:07:43 UTC
oVirt gerrit 55453 master MERGED frontend: Display the list of running containers (per VM) 2016-05-18 07:11:49 UTC
oVirt gerrit 57716 master MERGED linux: Add atomic host awareness to container-list 2016-05-19 08:17:32 UTC

Description Vinzenz Feenstra [evilissimo] 2015-10-20 11:27:41 UTC
Implementation for supporting the report of Docker containers from the machine

The report shall include: ID, Names, Command, Image and Status

Comment 3 Sandro Bonazzola 2016-05-02 10:00:52 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 4 Michal Skrivanek 2016-05-18 17:39:02 UTC
All code in, except guest agent which is released async anyway

Comment 5 Fedora Update System 2016-05-19 14:33:00 UTC
ovirt-guest-agent-1.0.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210

Comment 6 Fedora Update System 2016-05-19 14:33:21 UTC
ovirt-guest-agent-1.0.12-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9

Comment 7 Fedora Update System 2016-05-19 14:33:42 UTC
ovirt-guest-agent-1.0.12-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca

Comment 8 Fedora Update System 2016-05-19 14:34:05 UTC
ovirt-guest-agent-1.0.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260

Comment 9 Fedora Update System 2016-05-19 14:34:26 UTC
ovirt-guest-agent-1.0.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9

Comment 10 Fedora Update System 2016-05-21 01:32:21 UTC
ovirt-guest-agent-1.0.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260

Comment 11 Fedora Update System 2016-05-21 02:27:01 UTC
ovirt-guest-agent-1.0.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9

Comment 12 Fedora Update System 2016-05-21 05:48:00 UTC
ovirt-guest-agent-1.0.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca

Comment 13 Fedora Update System 2016-05-21 05:49:31 UTC
ovirt-guest-agent-1.0.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210

Comment 14 Fedora Update System 2016-05-21 06:22:22 UTC
ovirt-guest-agent-1.0.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9

Comment 15 Fedora Update System 2016-05-23 07:15:15 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 16 Fedora Update System 2016-05-23 07:15:40 UTC
ovirt-guest-agent-1.0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 17 Fedora Update System 2016-05-23 07:16:03 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 18 Fedora Update System 2016-05-24 02:52:22 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 19 Fedora Update System 2016-05-24 02:56:40 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 20 Fedora Update System 2016-05-24 06:19:38 UTC
ovirt-guest-agent-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 21 Gonza 2016-06-15 08:54:20 UTC
Verified with:
ovirt-engine-4.1.0-0.0.master.20160605051229.gitb398fa2.el7.centos.noarch

Comment 22 Fedora Update System 2016-06-21 08:05:17 UTC
ovirt-guest-agent-1.0.12-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 23 Fedora Update System 2016-06-21 08:05:42 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 24 Fedora Update System 2016-06-21 08:06:05 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 25 Fedora Update System 2016-06-21 08:06:27 UTC
ovirt-guest-agent-1.0.12-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c952eb96e6

Comment 26 Fedora Update System 2016-06-21 08:06:48 UTC
ovirt-guest-agent-1.0.12-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763

Comment 27 Fedora Update System 2016-06-21 08:22:15 UTC
ovirt-guest-agent-1.0.12-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8

Comment 28 Fedora Update System 2016-06-22 01:48:22 UTC
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763

Comment 29 Fedora Update System 2016-06-22 02:19:07 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 30 Fedora Update System 2016-06-22 02:26:37 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 31 Fedora Update System 2016-06-22 02:54:24 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 32 Fedora Update System 2016-06-22 03:17:54 UTC
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8

Comment 33 Fedora Update System 2016-07-11 23:17:56 UTC
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-07-11 23:20:15 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-07-12 02:26:05 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-07-12 05:47:26 UTC
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2016-07-12 15:08:16 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.